libplexus-container-default1.5-java_1.7.1-7_all.deb


Advertisement

Description

libplexus-container-default1.5-java - Plexus Inversion-of-control Container (transitional package)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libplexus-container-default1.5-java
Package version 1.7.1
Package release 7
Package architecture all
Package type deb
Installed size 11 B
Download size 2.27 KB
Official Mirror archive.ubuntu.com
The Plexus project provides a full software stack for creating and executing
software projects. Based on the Plexus container, the applications can
utilise component-oriented programming to build modular, reusable components
that can easily be assembled and reused.
This is a transitional package, please use libplexus-container-default-java
instead.

Alternatives

Package Version Architecture Repository
libplexus-container-default1.5-java_1.7.1-7_all.deb 1.7.1 all Ubuntu Universe
libplexus-container-default1.5-java - - -

Requires

Name Value
libplexus-container-default-java >= 1.7.1-7~

Download

Type URL
Binary Package libplexus-container-default1.5-java_1.7.1-7_all.deb
Source Package plexus-containers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplexus-container-default1.5-java deb package:
    # sudo apt-get install libplexus-container-default1.5-java

Files

Path
/usr/share/doc/libplexus-container-default1.5-java/changelog.Debian.gz
/usr/share/doc/libplexus-container-default1.5-java/copyright

Changelog

2017-11-07 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers (1.7.1-7) unstable; urgency=medium
* Team upload.
* Renamed the libplexus-container-default1.5-java package to
libplexus-container-default-java (but keep a transitional package)
* Removed libplexus-containers1.5-java (no longer used)
* Relocate the version 1.5.5 of the plexus-component-metadata plugin
to the current version instead of patching the pom
2017-11-07 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers (1.7.1-6) unstable; urgency=medium
* Team upload.
* Renamed the package to plexus-containers
* Install the Maven artifacts for plexus-component-annotations and
plexus-container-default with the 'debian' generic version and relocate
the version 1.5.5
* Install versionless jars in /usr/share/java but keep compatibility links
* Depend on libplexus-classworlds-java (>= 2.5.2)
instead of libplexus-classworlds2-java
* Removed the unused Maven rule for plexus-component-javadoc
* Standards-Version updated to 4.1.1
2017-09-18 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-5) unstable; urgency=medium
* Team upload.
* Depend on libxbean-reflect-java instead of libxbean-java
* Standards-Version updated to 4.1.0
* Documented the upstream bug for 03-reproducible-metadata.patch
2017-07-30 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-4) unstable; urgency=medium
* Team upload.
* Depend on libmaven3-core-java instead of libmaven2-core-java
2017-06-30 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-3) unstable; urgency=medium
* Team upload.
* Fixed the compatibility with qdox 2.0~M5
2017-06-23 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-2) unstable; urgency=medium
* Team upload.
* Added a symlink for plexus-component-annotations-1.5-1.6.jar
in /usr/share/java to work around a gradle issue (see #865499)
* Standards-Version updated to 4.0.0
2017-06-19 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-1) unstable; urgency=medium
* Team upload.
* Upload to unstable
2017-05-22 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-1~exp2) experimental; urgency=medium
* Team upload.
* Ensure that libplexus-component-metadata-java pulls the same version
of libplexus-container-default1.5-java
2017-05-18 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.7.1-1~exp1) experimental; urgency=medium
* New upstream release
- Refreshed the patches
- Depend on libjdom2-java instead of libjdom1-java
* Updated the URL of the project homepage
* Switch to debhelper level 10
2016-09-27 - Emmanuel Bourg <ebourg@apache.org>
plexus-containers1.5 (1.6-3) unstable; urgency=medium
* Team upload.
* Depend on libasm-java (>= 5.0) instead of libasm4-java
* Standards-Version updated to 3.9.8
* Use a secure Vcs-Git URL

See Also

Package Description
libplexus-digest-java-doc_1.1-5_all.deb Documentation for Digest utilities for the Plexus system
libplexus-digest-java_1.1-5_all.deb Digest utilities for the Plexus system
libplexus-i18n-java-doc_1.0-beta-10-4_all.deb API Documentation for plexus-i18n
libplexus-i18n-java_1.0-beta-10-4_all.deb a component to support internationalization of applications using Plexus
libplexus-interactivity-api-java-doc_1.0-alpha-6-8_all.deb API Documentation for plexus-interactivity-api
libplexus-interactivity-api-java_1.0-alpha-6-8_all.deb interactivity API for the Plexus framework
libplexus-interpolation-java-doc_1.24-1_all.deb Documentation for Plexus Interpolation API
libplexus-interpolation-java_1.24-1_all.deb Plexus Interpolation API
libplexus-io-java_3.0.0-1_all.deb Plexus IO Components
libplexus-languages-java_0.9.5-2_all.deb Plexus shared language features
libplexus-maven-plugin-java_1.3.8-11_all.deb Maven plugin for the Plexus Component Descriptor Creator
libplexus-resources-java_1.1.0-2_all.deb Plexus Resource Component
libplexus-sec-dispatcher-java-doc_1.4-3_all.deb Documentation for Plexus Security Dispatcher Component
libplexus-sec-dispatcher-java_1.4-3_all.deb Plexus Security Dispatcher Component used by Maven
libplexus-utils-java-doc_1.5.15-5_all.deb API Documentation for plexus-utils
Advertisement
Advertisement